Subject: Re: Warranty
From: Brock Over <[email-masked]>
To: Laila Cilloni <[email-masked]>
Date: Mon, 21 Jul 2025 12:26:22 +0000

Laila,

Just wanted to reach out about this mixer. While Stefano and Luca were at our facility they took a look at this mixer. They found that there was no cavitation, this was just a failed motor. Stefano told me to reach out to you and tell them they would warranty the motor. It will be put under commercial warranty is what I believe he asked me to say.

Thanks
________________________________
From: Brock Over
Sent: Wednesday, May 28, 2025 10:33 AM
To: Laila Cilloni <[email-masked]>
Subject: Warranty

Laila,

We had a customer with a mixer fail at 526 runtime hours. The serial number is M15729 TBM15KW.
I will attach some pictures of the machine I had reached out to the customers, but it looks like this machine had either cavitated or exposed to air while running. I'm not sure I would like to see what Cri-Man thinks.

Thanks

Brock Over

Nutrient Control Systems, Inc.

NCSYSINC.com

Office: 717-261-5711

Cell: 717-491-6649

[email-masked]